org.apache.lucene.analysis.charfilter

## Class MappingCharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.apache.lucene.analysis.charfilter.MappingCharFilterFactory

- All Implemented Interfaces:
    MultiTermAwareComponent, ResourceLoaderAware

      public class MappingCharFilterFactory
      extends CharFilterFactory
      implements ResourceLoaderAware, MultiTermAwareComponent

  Factory for `MappingCharFilter`.

       <fieldType name="text_map" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <charFilter class="solr.MappingCharFilterFactory" mapping="mapping.txt"/>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         </analyzer>
       </fieldType>

  Since:
    Solr 1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NormalizeCharMap` | `normMap`

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingCharFilterFactory(Map<String,String> args)` Creates a new MappingCharFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reader` | `create(Reader input)` Wraps the given Reader with a CharFilter.
    `AbstractAnalysisFactory` | `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.
    `void` | `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
    `protected void` | `parseRules(List<String> rules, NormalizeCharMap.Builder builder)`
    `protected String` | `parseString(String s)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

      `availableCharFilters, forName, lookupClass, reloadCharFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### normMap

          protected NormalizeCharMap normMap

  - ### Constructor Detail

    - #### MappingCharFilterFactory

          public MappingCharFilterFactory(Map<String,String> args)

      Creates a new MappingCharFilterFactory

  - ### Method Detail

    - #### inform

          public void inform(ResourceLoader loader)
                      throws IOException

      Description copied from interface: `ResourceLoaderAware`
      Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

    - #### create

          public Reader create(Reader input)

      Description copied from class: `CharFilterFactory`
      Wraps the given Reader with a CharFilter.
      Specified by:
        `create` in class `CharFilterFactory`

    - #### parseRules

          protected void parseRules(List<String> rules,
                                    NormalizeCharMap.Builder builder)

    - #### parseString

          protected String parseString(String s)

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Description copied from interface: `MultiTermAwareComponent`
      Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.
      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.